<?php
  ///////////////////////////////////////////////////
  //Карпухин Павел
  //2010 (С)
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['krit-title3'];
  $helppage = "";

  require_once "../lang/".$lang."/trans.php";
  require_once "../config.php";
  require_once "../util/top_layer1.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['krit_id'])) puterror2($TEXT['error-krit5']);
  if(strlen($_POST['krit_id'])>11) puterror2($TEXT['error-krit4']);
  if(empty($_POST['kritichnost'])) puterror2($TEXT['error-krit1']);
  if(strlen($_POST['kritichnost'])>255) puterror2($TEXT['error-krit2']);
  if(empty($_POST['position'])) puterror2($TEXT['error-nd4']);
  if(strlen($_POST['position'])>11) puterror2($TEXT['error-nd5']);
  if(strlen($_POST['old_photo'])>250) puterror2($TEXT['error-inst9']);

  if(isset($_POST['kritichnost'])) $kritichnost=trim($_POST['kritichnost']);
    else $kritichnost="";
     if(empty($kritichnost)) puterror2($TEXT['error-krit3']);

  if(isset($_POST['position'])) $position=trim($_POST['position']);
    else $position="";
     if(empty($position)) puterror2($TEXT['error-nd7']);

  $_POST['kritichnost'] = rep($_POST['kritichnost']);
  $_POST['position'] = rep($_POST['position']);
  $_POST['krit_id'] = rep($_POST['krit_id']);
  $_POST['old_photo'] = rep($_POST['old_photo']);

    if($_FILES['photo']['size'] > 1024*2*1024) puterror2($TEXT['error-pic3']);
    if(!empty($_FILES['photo']['tmp_name']))
      {
       $ext = strrchr($_FILES['photo']['name'], ".");
       $name = $_POST['kritichnost'];
       $krit = "krit_".translate($name)."_";
       $image = "../photo/$krit".date("YmdHis",time())."$ext";
          if (copy($_FILES['photo']['tmp_name'], "../".$image))
            {
            unlink($_FILES['photo']['tmp_name']);
            chmod("../".$image, 0644);
            }
            if(is_file("../".$_POST['old_photo'])) unlink("../".$_POST['old_photo']);
     }
      else $image = $_POST['old_photo'];

  $query10 = "SELECT `kritichnost` FROM `tbl_kritichnost` WHERE `krit_id`='".$_POST['krit_id']."' ";
  $result10 = mysql_query($query10);
  if(!$result10) puterror2($TEXT['error-tbl39']);
      $result_lib = mysql_fetch_array($result10);
      if($_POST['kritichnost']!=$result_lib['kritichnost']) {
          $query9 = "SELECT `kritichnost` FROM `tbl_kritichnost` WHERE `kritichnost`='".$_POST['kritichnost']."' ";
            $result9 = mysql_query($query9);
              if(!$result9) puterror2($TEXT['error-tbl39']);
                 if(mysql_num_rows($result9)>0) puterror2($TEXT['global-est']);
                   else $name_kritichnost = "`kritichnost` = '".$_POST['kritichnost']."', ";
        }
       else $name_kritichnost = "";

  //*************************************
  $query8 = "SELECT * FROM `tbl_kritichnost` WHERE `krit_id`='".$_POST['krit_id']."' ";
  $result8 = mysql_query($query8);
  if(!$result8) puterror2($TEXT['error-tbl39']);
   $result_kr = mysql_fetch_array($result8);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-krit3'];
  $what = $result_kr['kritichnost'].$TEXT['log-na'].$_POST['kritichnost'].$TEXT['log-id'].$_POST['krit_id'];
  $who = $result2['fullname'];
  //*************************************
  $query = "UPDATE `tbl_kritichnost` SET `pic_krit` = '$image', $name_kritichnost `position` = '".$_POST['position']."' WHERE `krit_id`='".$_POST['krit_id']."' ";
  if(mysql_query($query))
  {
    $query_to_log = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query_to_log))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-krit6']);
  require_once "../util/bottom.php";
?>